function parametros_ofdm

persistent postloadFlag;
if isempty(postloadFlag)
    postloadFlag = true;
else
    if postloadFlag
        postloadFlag = false;
        return
    end
end




settingsBlock = [bdroot '/parametros1'];
[rs] = getSettings(settingsBlock,'rs');
[M_ary] = getSettings(settingsBlock,'M_ary');
[snr] = getSettings(settingsBlock,'snr');
[Ebno] = getSettings(settingsBlock,'Ebno');
[input_signal] = getSettings(settingsBlock,'inputSignal');
[maxDopp] = getSettings(settingsBlock,'maxDopp');
[delayVector] = getSettings(settingsBlock,'delayVector');
[gainVector] = getSettings(settingsBlock,'gainVector');
[k_factor] = getSettings(settingsBlock,'k_factor');
[doppShift] = getSettings(settingsBlock,'doppShift');
[NFFT] = getSettings(settingsBlock,'NFFT');
[CP] = getSettings(settingsBlock,'CP');
[simbolos_ofdm] = getSettings(settingsBlock,'simbolos_ofdm');

p.simbolos_ofdm = simbolos_ofdm;
p.CP = CP;
p.NFFT = NFFT;
p.rs = rs;
p.M = M_ary;
p.k = log2(M_ary);
p.snr = snr;
p.Ebno = Ebno;
p.Esno = Ebno + 10*log10(p.k);
p.input_signal = input_signal;
p.maxDopp = maxDopp;
p.delayVector = delayVector;
p.gainVector = gainVector;
p.doppShift = doppShift;
p.k_factor = k_factor;


 
%Assign variables to base workspace
 assignin('base', 'p', p);



 function varargout = getSettings(settingsBlock, varargin)

 varargout = cell(size(varargin));

 h = get_param(settingsBlock, 'handle');
 for n = 1:length(varargin)
     varargout{n} = evalin('base', get(h, varargin{n}));
 end
